<template>
  <div class="login">
    <div class="form">
    <div class="input"  >
      <div class="input-item input-type">
         <p class="title" >{{input[0].title}}</p>
        <div class="item">
            <input
            :type=input[0].inputType
            :placeholder=input[0].placeholder
            @input="inputEmit($event,input[0])"
            style="color:#000"
            :value = "name"
          />
        </div>
      </div>
    </div>
    <div class="input"  >
      <div class="input-item input-type">
        <p class="title" >{{input[1].title}}</p>
        <div class="item">
          <input
          maxlength="11"
          :type=input[1].inputType
          :placeholder=input[1].placeholder
          @input="inputEmit($event,input[1])"
          style="color:#000"
          :value = "phone"
        /> 
        </div>
      </div>
    </div>
    <div class="input"  >
      <div class="input-item input-type">
        <p class="title" >{{input[2].title}}</p>
         <picker @change="changeMultiPicker3" @columnchange="handlechange" mode = "multiSelector" v-model="multiIndex3" :range="multiArray3">
           <div class="item1" @click="provice">
              <div class="address">{{address}}</div>
              <img :src="down" alt="">
            </div>
          </picker>
      </div>
    </div>
    <div class="input"  >
      <div class="input-item input-type">
         <p class="title" >{{input[3].title}}</p>
        <div class="item">
          <input
          :type=input[3].inputType
          :placeholder=input[3].placeholder
          @input="inputEmit($event,input[3])"
          style="color:#000"
          :value = "addressinfo"
        />
        </div>
      </div>
    </div>
    </div>
    <div style="height:60rpx"></div>
    <!-- :status = "gainAuthCodeAction" -->
    <v-footer :footer="'提交'"  @footerEmit="enter()" v-if="type==='add'"></v-footer>
    <v-footer :footer="'保存'"  @footerEmit="enter()" v-if="type==='edit'"></v-footer>
    <div style="height:52rpx"></div>
    <v-footer :footer="'删除'"  @footerEmit="del()" v-if="type==='edit'"></v-footer>
    
    <!--弹出栏-->
    <v-hintbox :hintbox="hintbox" @close="close" ></v-hintbox>
  </div>
</template>
<script type="text/ecmascript-6"> 
  import areadata from '@/utils/area.js'
  import {get,showToast,setStorageSync,getStorageSync,scanCode} from '@/util'
  import store from '@/store'
  import config from '@/config'
  import hintbox from '@/components/hintbox/hintbox.vue'
  import code from '@/components/code/code.vue'
  import footer from '@/components/footer/footer.vue'
  import {VeevlinkLogin,VeevlinkIslogin,VeevlinkClient,VeevlinkData} from '@/utils/base'
  import '../../../../static/css/reset.css';
  import '../../../../static/css/components.scss';
  let mta= require('@/utils/mta_analysis.js');
  export default {
    data(){
      return{
        addressid:'',
        type:'',
        phone:'',
        name:'',
        multiArray3: [[], [], []],
        multiIndex3: [0, 0, 0],
        multiIndex:[0,0,0],
        addressinfo:'',
        address:'',
        down:config.url +'合并形状@2x.png',
        type:'phone',
        hintbox:{
          text :'',
          show : false
        },
        headerUrl: config.url+'pic-login-header.png',
        input:[
          {
            inputType:'text',
            title:'姓名',
          },
           {
            inputType:'number',
            title:'手机号',
          },
           {
            inputType:'text',
            title:'所在地区',
          },
          {
            inputType:'text',
            title:'详细地址',
          },
        ],
        // 验证码数据定义
        isGet: false,
        phonenumber: '', // 手机号码
        authcode:"", //输入的验证码
        sec: 60,
        status: false,
        bind:false,
        verificationcode: '',//接口验证码
        sheng: '',
        shi: '',
        qu: '',
      }
    },
    components:{
      // 'v-spaces':spaces,
      'v-footer':  footer,
      'v-code' : code,
      'v-hintbox' : hintbox
    },
    watch:{
      'store.state.Login.phonenumber'(){

      }
    },
    computed:{
      close(){
        this.hintbox.show = false;
        this.hintbox.text = '';
        
        
      },
      // 登录状态按钮禁用
      status(){
        console.log('status:'+this.gainAuthCodeAction);
        if( this.gainAuthCodeAction ){
          return true;
        }else{
          return false;
        }

      },
      // 获取验证码
      gainAuthCodeAction: function () {
        //第一步：验证手机号码
        return (this.phonenumber.length === 11);
      }

    },
    methods:{
      getCityData () {
      console.log('22',areadata.result);
      this.multiArray3.splice(1, 1, [])
      this.multiArray3.splice(2, 1, [])
      this.multiIndex3 = [0, 0, 0]
      this.address = ''
      this.sheng = ''
      this.shi = ''
      this.qu = ''
      var sheng = [];
      this.sheng = areadata.result;
      areadata.result.forEach((item,index)=>{
        sheng.push(item.name);
      })
      this.multiArray3[0] = sheng;
      console.log('sheng',sheng);
      this.shi = areadata.result[0].city;
      this.qu = areadata.result[0].city[0].area;
      let shi = [];
      areadata.result[0].city.forEach((item,index)=>{
          shi.push(item.name)
      })
      this.multiArray3[1] = shi;
      let qu = [];
       areadata.result[0].city[0].area.forEach((item,index)=>{
          qu.push(item.name)
      })
      this.multiArray3[2] = qu;
       
    },
     changeMultiPicker3 (e) {
        console.log('changeMultiPicker3');
      this.multiIndex3 = e.mp.detail.value
      this.address = this.sheng[this.multiIndex3[0]].name + this.shi[this.multiIndex3[1]].name + this.qu[this.multiIndex3[2]].name
      this.areaCode = this.qu[this.multiIndex3[2]].areaCode
      this.$emit('getAreaCode', this.areaCode)
      console.log(this.areaCode)
    },
    handlechange (e) {
        console.log('handlechange');
      var data = {
        multiArray: this.multiArray3,
        multiIndex: this.multiIndex3,
        sheng: this.sheng,
        shi: [],
        qu: []
      }
      data.multiIndex[e.mp.detail.column] = e.mp.detail.value
      console.log('index',data.multiIndex[e.mp.detail.column]);
      switch (e.mp.detail.column) {
        case 0:     
          this.one = data.multiIndex[e.mp.detail.column];
          let arr = []
          this.shi = areadata.result[this.one].city;
          console.log('this.shi',this.shi);
          this.shi.forEach((item,index)=>{
              arr.push(item.name);
          })
          data.multiArray.splice(1, 1, arr)
         //  获取默认第三列区的数据
         console.log('ll',data.multiIndex[1]);
          let Darr1 = []
          this.two = data.multiIndex[1];
          this.qu = this.shi[this.two].area;
          this.qu.forEach((item,index)=>{
               Darr1.push(item.name)
          })
          data.multiArray.splice(2, 1, Darr1)
          break
        case 1:
        //通过第二列滑动，获取第三列区的数据
        console.log('77',data.multiIndex[1]);
          let qCode = this.shi[data.multiIndex[1]].id
          let arr1 = []
          this.two = data.multiIndex[1];
          this.qu = this.shi[this.two].area
          console.log('区');
          this.qu.forEach((item,index)=>{
               arr1.push(item.name)
          })
          data.multiArray.splice(2, 1, arr1)
          break
      }
    },
      del(){
          console.log('删除');
          let that = this;
        let VerificationCodeEntity =  wx.getStorageSync('informationwx23bcedfe9e867c13');
        let data = {
            name:this.name,
            addressId:this.addressId,
            memberId:wx.getStorageSync('memberid'),
            openId:VerificationCodeEntity.OpenId,
            phone:this.phone, 
            province:this.sheng[this.multiIndex3[0]].name,
            city:this.shi[this.multiIndex3[1]].name,
            district:this.qu[this.multiIndex3[2]].name,
            address:this.addressinfo
        }
        console.log('data',data);
        VeevlinkClient(
          '/member/address/modify?openId='+VerificationCodeEntity.OpenId + '&addressId='+ store.state.addlist.list.addressId,
          'DELETE',
          '',
          function (data) {
            console.log(data);
            that.hintbox.show = true;
            that.hintbox.text = data.message;
            
          },
          function (error) {
            console.log(error);
          })
      },
      save(){
          console.log('保存');
      },
      close(){
        this.hintbox.show = false;
        this.hintbox.text = '';
        config.href(config.address.addlist);
      },
      inputEmit(data,item){
        if(item.title === '姓名'){
          this.name = data.mp.detail.value;
        }
        if(item.title === '手机号'){
          this.phone = data.mp.detail.value;
        }
         if(item.title === '详细地址'){
          this.addressinfo = data.mp.detail.value;
        }
        // console.log(data.mp.detail.value);
        return
      },
      //提交
      enter(){
        console.log('tijiao');
        let that = this;
        let VerificationCodeEntity =  wx.getStorageSync('informationwx23bcedfe9e867c13');
        let data = {
            name:this.name,
            addressId:this.addressid,
            memberId:wx.getStorageSync('memberid'),
            openId:VerificationCodeEntity.OpenId,
            phone:this.phone, 
            province:this.sheng[this.multiIndex3[0]].name,
            city:this.shi[this.multiIndex3[1]].name,
            district:this.qu[this.multiIndex3[2]].name,
            address:this.addressinfo
        }
        console.log('data',data);
        VeevlinkClient(
          '/member/address/modify',
          'POST',
          data,
          function (data) {
            console.log(data);
             that.hintbox.show = true;
            that.hintbox.text = data.message;
            
          },
          function (error) {
            console.log(error);
          })
      },
     
      tel(data){
        let that = this;
        console.log(data);
        console.log(this.phonenumber);

        that.phonenumber =data.value;

//      return
//      let array = [ 'Login','phonenumber',data]
//      store.commit('add',array);
//      console.log(store.state.Login.phonenumber);
//      console.log(this.gainAuthCodeAction);
//       this.phonenumber = store.state.Login.phonenumber
      },
      code(data){
        this.authcode =data.value;
        console.log(this.authcode);
      },
      sss(data){
        console.log(data);
      },
      codeEmit(data){
        this.verificationcode = data;
      }
    },
    created(){
      // let array = [ 'Login','phonenumber','']
      // store.commit('add',array);
      console.log(config.url+'pic-login-header.png');
    },
    onLoad(data) {
      mta.Page.init();
      let that = this;
      this.getCityData();
      this.type =data.data;
      this.name ='';
      this.phone = '';
      this.addressinfo ='';
      if(this.type === 'edit' ){
        wx.setNavigationBarTitle({
            title: '编辑地址'
          })
          that.name = store.state.addlist.list.name;
          that.phone = store.state.addlist.list.phone;
          that.addressinfo = store.state.addlist.list.address;
          that.address = store.state.addlist.list.province + store.state.addlist.list.city + store.state.addlist.list.district;
          that.addressid = store.state.addlist.list.addressId;
      }
    }
  }
</script>
<style  lang="scss"  type="text/scss" scoped >
  .login{
    width: 100%;
    .form{
      margin:1rem 0.7rem 0;
    }
    .input{
      width: 6.1rem;
      color: #000;
      border:none;
      .input-item{
        display:block;
        p{
          font-size:0.24rem;
          color:#727171;
        }
        .item{
          width:6.1rem;
          background:#EAEAEA;
          height:0.6rem;
          margin-top:0.14rem;
          input{
            color:#727171;
            font-size:0.24rem;
            position:relative;
            left:0.2rem;
            top:0.1rem;
          }
        }
        .item1{
          width:6.1rem;
          background:#EAEAEA;
          height:0.6rem;
          margin-top:0.14rem;
          .address{
            color:#333333;
            font-size:0.24rem;
            position:relative;
            left:0.2rem;
            top:0.2rem;
          }
          img{
            width:0.22rem;
            height:0.16rem;
            right:0.22rem;
            top:0.8rem;
          }
        }

        
      }
    }

  }


</style>


